###########################################################################
# Log4j Configuration
###########################################################################
# $Id $
###########################################################################

log4j.rootCategory=INFO, defaultAppAppender

log4j.category.org.apache=WARN

###########################################################################
# General Appenders
###########################################################################

log4j.appender.consoleAppender=org.apache.log4j.ConsoleAppender
log4j.appender.consoleAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.consoleAppender.layout.ConversionPattern=%d{MMM-dd HH:mm:ss} %-5p %c{5} - %m%n

log4j.appender.defaultAppAppender=org.apache.log4j.RollingFileAppender
log4j.appender.defaultAppAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.defaultAppAppender.layout.ConversionPattern=(%d{dd MMM yyyy HH:mm:ss}) %-5p %c{3} - %m%n
log4j.appender.defaultAppAppender.File=/var/tmp/ieat.log
log4j.appender.defaultAppAppender.MaxFileSize=1MB
log4j.appender.defaultAppAppender.MaxBackupIndex=2

###########################################################################
# Special Purpose Appenders
###########################################################################

log4j.additivity.magoffin.matt.ieat.task=false
log4j.category.magoffin.matt.ieat.task=INFO,jobAppender
log4j.category.org.quartz=INFO,jobAppender

log4j.appender.jobAppender=org.apache.log4j.RollingFileAppender
log4j.appender.jobAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.jobAppender.layout.ConversionPattern=(%d{dd MMM yyyy HH:mm:ss}) %-5p %c{1} - %m%n
log4j.appender.jobAppender.File=/var/tmp/ieat-jobs.log
log4j.appender.jobAppender.MaxFileSize=1MB
log4j.appender.jobAppender.MaxBackupIndex=2
